<?php

namespace Litecms\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoriesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Category\Models\Categories $categories)
    {
        return [
            'id'                => $categories->getRouteKey(),
            'key'               => [
                'public'    => $categories->getPublicKey(),
                'route'     => $categories->getRouteKey(),
            ], 
            'categories_name'   => $categories->categories_name,
            'status'            => $categories->status,
            'url'               => [
                'public'    => trans_url('category/'.$categories->getPublicKey()),
                'user'      => guard_url('category/categories/'.$categories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$categories->status),
            'created_at'        => format_date($categories->created_at),
            'updated_at'        => format_date($categories->updated_at),
        ];
    }
}